Package com.orchestranetworks.ui

# Class UIHttpManagerComponent.Scope

java.lang.Object
com.orchestranetworks.ui.UIHttpManagerComponent.Scope

Enclosing class:
  UIHttpManagerComponent

public static final class UIHttpManagerComponent.Scope extends Object
Defines the scope of the user navigation, namely, the parts of the user interface that are available to the user during the session.

Since:
  5.2.2

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final UIHttpManagerComponent.Scope`
  `DATA`
  The navigation pane and workspace are displayed; user will be able to navigate to other nodes, datasets, and dataspaces.
  `static final UIHttpManagerComponent.Scope`
  `DATASET`
  The navigation pane and workspace are displayed; user will only be able to navigate to other nodes, but will not be able to navigate to other datasets or dataspaces.
  `static final UIHttpManagerComponent.Scope`
  `DATASPACE`
  The navigation pane and workspace are displayed; user will be able to navigate to other nodes and datasets, but will not be able to navigate to other dataspaces.
  `static final UIHttpManagerComponent.Scope`
  `FULL`
  All user interface elements are displayed.
  `static final UIHttpManagerComponent.Scope`
  `NODE`
  Only the workspace is displayed; user will not be able to navigate to any other nodes.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `format()`
  `boolean`
  `isData()`
  `boolean`
  `isDataSet()`
  `boolean`
  `isDataSpace()`
  `boolean`
  `isFull()`
  `boolean`
  `isNode()`
  `static UIHttpManagerComponent.Scope`
  `parse(String formattedScope)`
  Returns the scope that corresponds to the specified string.
  `final String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### FULL

    public static final UIHttpManagerComponent.Scope FULL
    All user interface elements are displayed. User navigation is only restricted by permissions.

    Value is `full`.

  - ### DATA

    public static final UIHttpManagerComponent.Scope DATA
    The navigation pane and workspace are displayed; user will be able to navigate to other nodes, datasets, and dataspaces. The header and menu bar are not displayed.

    Value is `data`.

  - ### DATASPACE

    public static final UIHttpManagerComponent.Scope DATASPACE
    The navigation pane and workspace are displayed; user will be able to navigate to other nodes and datasets, but will not be able to navigate to other dataspaces. The header and menu bar are not displayed.

    Value is `dataspace`.

  - ### DATASET

    public static final UIHttpManagerComponent.Scope DATASET
    The navigation pane and workspace are displayed; user will only be able to navigate to other nodes, but will not be able to navigate to other datasets or dataspaces. The header and menu bar are not displayed.

    Value is `dataset`.

  - ### NODE

    public static final UIHttpManagerComponent.Scope NODE
    Only the workspace is displayed; user will not be able to navigate to any other nodes.

    Value is `node`.

- ## Method Details

  - ### parse

    public static UIHttpManagerComponent.Scope parse(String formattedScope)
    Returns the scope that corresponds to the specified string.

    The specified string must have been generated by the method `format()`.

    Throws:
      `IllegalArgumentException` - if the specified string is incorrect.
    See Also:
      - `format()`

  - ### isFull

    public boolean isFull()
    See Also:
      - `FULL`

  - ### isData

    public boolean isData()
    See Also:
      - `DATA`

  - ### isDataSpace

    public boolean isDataSpace()
    See Also:
      - `DATASPACE`

  - ### isDataSet

    public boolean isDataSet()
    See Also:
      - `DATASET`

  - ### isNode

    public boolean isNode()
    See Also:
      - `NODE`

  - ### format

    public String format()
    See Also:
      - `parse(String)`

  - ### toString

    public final String toString()
    Overrides:
      `toString` in class `Object`